#ifndef _TAGS_H_
#define _TAGS_H_

/* These are the valid tags within a config file */
/* any others are summarily ignored!             */

#define ATAG_MAIN	"Devices"
#define ATAG_DLCI	"DLCI_D%i_%i"

/* this tag is for the board count */

#define KTAG_DEVCOUNT	"Count"
#define KTAG_DEV	"Dev_%i"

/* these are the keys for each board */
#define KTAG_TYPE	"Type"

/* some Sangoma specific tags */
#define KTAG_TESTWARE	"Testware"
#define KTAG_FIRMWARE	"Firmware"
#define KTAG_BOARD	"Board"
#define KTAG_PORT	"Port"
#define KTAG_MEM	"Mem"
#define KTAG_IRQ	"IRQ"
#define KTAG_DLCICOUNT	"DLCIs"
#define KTAG_DLCI	"DLCI_%i"
#define KTAG_DPORT      "DataPort"

/* network level configurations */
#define KTAG_ACCESS	"Access"
#define KTAG_FLAGS	"Flags"
#define KTAG_CLOCK	"Clock"
#define KTAG_BAUD	"KBaud"
#define KTAG_MTU	"MTU"
#define KTAG_T391	"T391"
#define KTAG_T392	"T392"
#define KTAG_N391	"N391"
#define KTAG_N392	"N392"
#define KTAG_N393	"N393"

/* these tags are used in various places */
#define KTAG_DLCIFLAG	"DLCIFlags"
#define KTAG_F_CIR	"CIRfwd"
#define KTAG_F_BC	"Bc_fwd"
#define KTAG_F_BE	"Be_fwd"
#define KTAG_B_CIR	"CIRbak"
#define KTAG_B_BC	"Bc_bak"
#define KTAG_B_BE	"Be_bak"
#define KTAG_IP		"IP"
#define KTAG_NET	"Net"
#define KTAG_MASK	"Mask"
#define KTAG_DEST       "Dest"

#define VFLAG_RXIGNORE	"RXIgnoreCIR"
#define VFLAG_TXIGNORE	"TXIgnoreCIR"
#define VFLAG_BUFFERIF	"BufferFrames"
#define VFLAG_DROPABORT	"DropAborted"
#define VFLAG_STATS	"Stats"
#define VFLAG_MCI	"MCI"
#define VFLAG_AUTODLCI	"AutoDLCI"

#define VTYPE_SANGOMA	"Sangoma"

#define VCLOCK_INTERNAL	"Internal"
#define VCLOCK_EXTERNAL	"External"

#define VNODE_CPE	"CPE"
#define VNODE_NODE	"Node"

#define DPORT_V35	"V35"
#define DPORT_RS232	"RS232"

#define KBOARD_S502A	"S502A"
#define KBOARD_S502E	"S502E"
#define KBOARD_S507	"S507"
#define KBOARD_S508	"S508"

#endif
